<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: NodeHierarchy Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_node_hierarchy.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_node_hierarchy-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NodeHierarchy Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac13f8a9cb58f0bfd84bb62f3d177a369"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465df">SupportedNodes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#ac13f8a9cb58f0bfd84bb62f3d177a369">processed_node</a></td></tr>
<tr class="separator:ac13f8a9cb58f0bfd84bb62f3d177a369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e5265ab8451953de245064ace58147a"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a8e5265ab8451953de245064ace58147a">depth</a></td></tr>
<tr class="separator:a8e5265ab8451953de245064ace58147a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a015dad3d88641e4efc2d6a256a31df5c"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a015dad3d88641e4efc2d6a256a31df5c">stmt_no</a></td></tr>
<tr class="separator:a015dad3d88641e4efc2d6a256a31df5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bd07428a56e01ee2e84b12522f364ce"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a2bd07428a56e01ee2e84b12522f364ce">processing_active</a></td></tr>
<tr class="separator:a2bd07428a56e01ee2e84b12522f364ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf08dc3c877ae2d01db73c4759d0e1bb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#acf08dc3c877ae2d01db73c4759d0e1bb">last_statement</a></td></tr>
<tr class="separator:acf08dc3c877ae2d01db73c4759d0e1bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888020efdce3868a889bf6bf1e77d2dd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a888020efdce3868a889bf6bf1e77d2dd">isLeftValue</a></td></tr>
<tr class="separator:a888020efdce3868a889bf6bf1e77d2dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bac996143ee8e64425a3038025e3731"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a6bac996143ee8e64425a3038025e3731">isCastLeftToRight</a></td></tr>
<tr class="separator:a6bac996143ee8e64425a3038025e3731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a167651d4f868979189fea2cb6aca27d4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a167651d4f868979189fea2cb6aca27d4">isStartOfMemberProcessing</a></td></tr>
<tr class="separator:a167651d4f868979189fea2cb6aca27d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f58f8f4919f0a45f986933119eaa71d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a1f58f8f4919f0a45f986933119eaa71d">isStartOfCallExprProcessing</a></td></tr>
<tr class="separator:a1f58f8f4919f0a45f986933119eaa71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1206777cfac00bec59be3f6d6174c054"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a1206777cfac00bec59be3f6d6174c054">hasGlobalLHS</a></td></tr>
<tr class="separator:a1206777cfac00bec59be3f6d6174c054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a07350b60cd751c5b5ffa7d4f0e1df"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#af5a07350b60cd751c5b5ffa7d4f0e1df">noOfGlobalRHS</a></td></tr>
<tr class="separator:af5a07350b60cd751c5b5ffa7d4f0e1df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05fd25c471f3800b7839150de1295827"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a05fd25c471f3800b7839150de1295827">noOfLocalRHS</a></td></tr>
<tr class="separator:a05fd25c471f3800b7839150de1295827"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a588cd415131a3fb2559e3be030c8c812"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_node_hierarchy.html#a588cd415131a3fb2559e3be030c8c812">DeclNameOfRecord</a></td></tr>
<tr class="separator:a588cd415131a3fb2559e3be030c8c812"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a588cd415131a3fb2559e3be030c8c812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a588cd415131a3fb2559e3be030c8c812">&#9670;&nbsp;</a></span>DeclNameOfRecord</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string NodeHierarchy::DeclNameOfRecord</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e5265ab8451953de245064ace58147a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e5265ab8451953de245064ace58147a">&#9670;&nbsp;</a></span>depth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned NodeHierarchy::depth</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1206777cfac00bec59be3f6d6174c054"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1206777cfac00bec59be3f6d6174c054">&#9670;&nbsp;</a></span>hasGlobalLHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::hasGlobalLHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bac996143ee8e64425a3038025e3731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bac996143ee8e64425a3038025e3731">&#9670;&nbsp;</a></span>isCastLeftToRight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::isCastLeftToRight</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a888020efdce3868a889bf6bf1e77d2dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888020efdce3868a889bf6bf1e77d2dd">&#9670;&nbsp;</a></span>isLeftValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::isLeftValue</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f58f8f4919f0a45f986933119eaa71d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f58f8f4919f0a45f986933119eaa71d">&#9670;&nbsp;</a></span>isStartOfCallExprProcessing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::isStartOfCallExprProcessing</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a167651d4f868979189fea2cb6aca27d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a167651d4f868979189fea2cb6aca27d4">&#9670;&nbsp;</a></span>isStartOfMemberProcessing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::isStartOfMemberProcessing</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf08dc3c877ae2d01db73c4759d0e1bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf08dc3c877ae2d01db73c4759d0e1bb">&#9670;&nbsp;</a></span>last_statement</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::last_statement</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5a07350b60cd751c5b5ffa7d4f0e1df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5a07350b60cd751c5b5ffa7d4f0e1df">&#9670;&nbsp;</a></span>noOfGlobalRHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned NodeHierarchy::noOfGlobalRHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05fd25c471f3800b7839150de1295827"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05fd25c471f3800b7839150de1295827">&#9670;&nbsp;</a></span>noOfLocalRHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned NodeHierarchy::noOfLocalRHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac13f8a9cb58f0bfd84bb62f3d177a369"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac13f8a9cb58f0bfd84bb62f3d177a369">&#9670;&nbsp;</a></span>processed_node</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465df">SupportedNodes</a> NodeHierarchy::processed_node</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bd07428a56e01ee2e84b12522f364ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bd07428a56e01ee2e84b12522f364ce">&#9670;&nbsp;</a></span>processing_active</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeHierarchy::processing_active</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a015dad3d88641e4efc2d6a256a31df5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a015dad3d88641e4efc2d6a256a31df5c">&#9670;&nbsp;</a></span>stmt_no</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned NodeHierarchy::stmt_no</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_node_hierarchy.html">NodeHierarchy</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
